Package org.apache.ignite.internal.processors.platform.compute

## Class PlatformComputeTaskSession

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.compute.PlatformComputeTaskSession

All Implemented Interfaces:
  `PlatformTarget`

    public class PlatformComputeTaskSession
    extends PlatformAbstractTarget

`ComputeTaskSession` platform wrapper.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
`PlatformComputeTaskSession​(PlatformContext platformCtx, ComputeTaskSession ses)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `processInStreamOutLong​(int type, BinaryRawReaderEx reader, PlatformMemory mem)` Process IN operation.
`void` `processInStreamOutStream​(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInLongOutLong, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformComputeTaskSession

    public PlatformComputeTaskSession​(PlatformContext platformCtx,
                                      ComputeTaskSession ses)

Constructor.

Parameters:
  `platformCtx` - Context.
  `ses` - Underlying compute task session

### Method Detail

#### processInStreamOutLong

    public long processInStreamOutLong​(int type,
                                       BinaryRawReaderEx reader,
                                       PlatformMemory mem)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream​(int type,
                                         BinaryRawReaderEx reader,
                                         BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.